import bpy

#-----------------------------------

class change_camera_length(bpy.types.Operator):
    bl_label = "Change camera length"
    bl_idname = "camera.camera_change_length"

    value = bpy.props.FloatProperty(
        name = "",
        description = "Focal length",
        default = 35.0,
        min = 10.0,
        max = 1000.0
    )

    def invoke(self, context, event):
        value = self.value
        cam = context.camera
        cam.lens_unit = 'MILLIMETERS'
        cam.lens = value
        #print("hello world")
        return {'FINISHED'}

#-----------------------------------

class set_camera_active(bpy.types.Operator):
    bl_label = "Set camera active"
    bl_idname = "camera.camera_set_active"

    def invoke(self, context, event):
        cam = context.camera
        cam.noxData.active = True
        for o in bpy.data.cameras:
            #if o.type=='CAMERA':
            if cam.name == o.name:
                #print("myself")
                pass
            else:
                o.noxData.active = False
        #print("hello world")
        return {'FINISHED'}

#-----------------------------------
