import bpy

#-----------------------------------

class NOXBlendLayersProps(bpy.types.PropertyGroup):
    b1 = bpy.props.StringProperty(
        name="Blend layer 1", 
        description="Blend layer 1", 
        default="Layer 1", 
        maxlen=128
    )
    b2 = bpy.props.StringProperty(
        name="Blend layer 2", 
        description="Blend layer 2", 
        default="Layer 2", 
        maxlen=128
    )
    b3 = bpy.props.StringProperty(
        name="Blend layer 3", 
        description="Blend layer 3", 
        default="Layer 3", 
        maxlen=128
    )
    b4 = bpy.props.StringProperty(
        name="Blend layer 4", 
        description="Blend layer 4",
        default="Layer 4", 
        maxlen=128
    )
    b5 = bpy.props.StringProperty(
        name="Blend layer 5", 
        description="Blend layer 5", 
        default="Layer 5", 
        maxlen=128
    )
    b6 = bpy.props.StringProperty(
        name="Blend layer 6", 
        description="Blend layer 6", 
        default="Layer 6", 
        maxlen=128
    )
    b7 = bpy.props.StringProperty(
        name="Blend layer 7", 
        description="Blend layer 7", 
        default="Layer 7", 
        maxlen=128
    )
    b8 = bpy.props.StringProperty(
        name="Blend layer 8", 
        description="Blend layer 8", 
        default="Layer 8", 
        maxlen=128
    )
    b9 = bpy.props.StringProperty(
        name="Blend layer 9", 
        description="Blend layer 9", 
        default="Layer 9", 
        maxlen=128
    )
    b10 = bpy.props.StringProperty(
        name="Blend layer 10", 
        description="Blend layer 10", 
        default="Layer 10", 
        maxlen=128
    )
    b11 = bpy.props.StringProperty(
        name="Blend layer 11", 
        description="Blend layer 11", 
        default="Layer 11", 
        maxlen=128
    )
    b12 = bpy.props.StringProperty(
        name="Blend layer 12", 
        description="Blend layer 12", 
        default="Layer 12", 
        maxlen=128
    )
    b13 = bpy.props.StringProperty(
        name="Blend layer 13", 
        description="Blend layer 13", 
        default="Layer 13", 
        maxlen=128
    )
    b14 = bpy.props.StringProperty(
        name="Blend layer 14", 
        description="Blend layer 14", 
        default="Layer 14", 
        maxlen=128
    )
    b15 = bpy.props.StringProperty(
        name="Blend layer 15", 
        description="Blend layer 15", 
        default="Layer 15", 
        maxlen=128
    )
    b16 = bpy.props.StringProperty(
        name="Blend layer 16", 
        description="Blend layer 16", 
        default="Layer 16", 
        maxlen=128
    )
    
#-----------------------------------

class NOXSceneProps(bpy.types.PropertyGroup):
    #width = bpy.props.IntProperty(
    #    name = "Width",
    #    description = "Width of rendered image.",
    #    default = 640,
    #    min = 8,
    #    max = 8192
    #)
    #height = bpy.props.IntProperty(
    #    name = "Height",
    #    description = "Height of rendered image.",
    #    default = 480,
    #    min = 8,
    #    max = 8192
    #)
    aa = bpy.props.IntProperty(
        name = "AA",
        description = "Antialiasing level.",
        default = 2,
        min = 1,
        max = 3
    )
    
    blend_layers = bpy.props.PointerProperty(type=NOXBlendLayersProps)

    override_on = bpy.props.BoolProperty(
        name = "Override material", 
        description = "Turn on override material for all objects except emitters.", 
        default = False
    )
    
    ignore_no_emitter = bpy.props.BoolProperty(
        name = "Ignore emitter error", 
        description = "Will run NOX even in the case of lack of emitters on scene.", 
        default = False
    )
    
    preload_post_on = bpy.props.BoolProperty(
        name = "Preload post enabled", 
        description = "Turn on preloading post data from file on start rendering.", 
        default = False
    )
    preload_blend_on = bpy.props.BoolProperty(
        name = "Preload blend enabled", 
        description = "Turn on preloading blend layers data from file on start rendering.", 
        default = False
    )
    preload_final_on = bpy.props.BoolProperty(
        name = "Preload final enabled", 
        description = "Turn on preloading final post data from file on start rendering.", 
        default = False
    )
    preload_post_file = bpy.props.StringProperty(
        name = "Post file",
        description = "Load Post values from file on start",
        subtype = "FILE_PATH"
    )
    preload_blend_file = bpy.props.StringProperty(
        name = "Blend file",
        description = "Load Blend layers values from file on start",
        subtype = "FILE_PATH"
    )
    preload_final_file = bpy.props.StringProperty(
        name = "Final file",
        description = "Load Final Post values from file on start",
        subtype = "FILE_PATH"
    )
    
#-----------------------------------
